Package org.eclipse.e4.ui.workbench.modeling

# Interface ISaveHandler

public interface ISaveHandler

Since:
  1.0
Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ISaveHandler.Save`

## Method Summary

Modifier and Type
Method
Description
`ISaveHandler.Save[]`
`promptToSave(Collection<MPart> dirtyParts)`
`ISaveHandler.Save`
`promptToSave(MPart dirtyPart)`
`boolean`
`save(MPart dirtyPart, boolean confirm)`
`boolean`
`saveParts(Collection<MPart> dirtyParts, boolean confirm)`

## Method Details

### save

boolean save(MPart dirtyPart, boolean confirm)

### saveParts

boolean saveParts(Collection<MPart> dirtyParts, boolean confirm)

### promptToSave

ISaveHandler.Save promptToSave(MPart dirtyPart)

### promptToSave

ISaveHandler.Save[] promptToSave(Collection<MPart> dirtyParts)